Skip to main content

Database Credential

View as Markdown

DatabaseCredential object

tokenstringPublic Preview
expiration_timestringPublic Preview

Generates a credential that can be used to access database instances Public Preview

POST /api/2.0/database/credentials

Generates a credential that can be used to access database instances.

API scopes: postgres

Request body

request_idstring
instance_namesarray of string

Instances to request a credential for. At least one of instance_names or claims must be specified.

claimsarray of object

A set of UC permissions to add to the credential. We verify that the caller has the necessary permissions in UC and include a reference in the token. Postgres uses that token to give the connecting user additional grants to the Postgres resources that correspond to the UC resources. The UC resources need to be something that have a Postgres counterpart. For example, a synced table or a table in a UC database catalog.

Show child attributesHide child attributes
permission_setstring

Might add WRITE in the future

Values:

  • PERMISSION_SET_UNSPECIFIED
  • READ_ONLY
resourcesarray of object
Show child attributesHide child attributes
unspecified_resource_namestring
table_namestring

Response

Returns the DatabaseCredential object.